BEGIN ~LHICE3~

IF ~True()~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 DO ~SetGlobal("IceAlly","GLOBAL",1)~ GOTO 1
  IF ~~ THEN REPLY @2 DO ~SetGlobal("IceAlly","GLOBAL",99)
Enemy()~ EXIT
END

IF ~~ THEN BEGIN 1
  SAY @3
  IF ~~ THEN DO ~EscapeArea()~ EXIT
END
